QGIS Application - Bug report #14881
Segmentation fault in QWebPage::staticMetaObjectExtraData
2016-05-24 02:47 PM - Bas Couwenberg

Status: Closed

Priority: High

Assignee:

Category: Python plugins

Affected QGIS version:2.14.3 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 22834
Description

As reported by Nelson A. de Oliveira in Debian Bug #825091, qgis 2.14.3 segfaults in QWebPage::staticMetaObjectExtraData () when it's
built with WITH_QTWEBKIT=FALSE:

With an empty project | loaded a SRTM file, double clicked at GRASS
GIS 7's r.param.scale (in the toolbox) and got a segfault.
It's reproducible.

gdb's "thread apply all bt full”" is attached.

This gdb log is attached as: gdb_qgis_2.14.3_grass.ixt

And the second report:

| saw that QuickOSM is also segfaulting (gdb output is also attached).

This gdb log is attached as: gdb_qgis_2.14.3_quickosm.txt

| can reproduce the problem by starting qgis and installing the QuickOSM plugin.

The gdb output for this is attached as: gdb_qgis_2.14.3_install-quickosm.txt

Interestingly despite WITH_QTWEBKIT=FALSE used for the build, /usr/lib/python2.7/dist-packages/PyQt4/QtWebKit.so is still in the
backtraces.

History

#1 - 2017-02-04 02:50 AM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2017-03-07 04:24 AM - Giovanni Manghi

- Category set to Python plugins

- Status changed from Open to Feedback

Cannot see any issue on 2.18.4 on Ubuntu 16.04, using the qgis repositories + ubuntugis.

A clear way to replicate this would be appreciated, thanks.
https://bugs.debian.org/825091

#3 - 2017-03-07 04:44 AM - Bas Couwenberg

The report is for QGIS 2.14 on Debian testing using the packages from Debian (not the qgis.org packages).'

"WITH_QTWEBKIT=FALSE is no longer used for those packages, since the embedded copy in QGIS is used instead.

#4 - 2017-03-07 04:52 AM - Giovanni Manghi

Bas Couwenberg wrote:

The report is for QGIS 2.14 on Debian testing using the packages from Debian (not the qgis.org packages).'

"WITH_QTWEBKIT=FALSE" is no longer used for those packages, since the embedded copy in QGIS is used instead.

do we care anymore about 2.14 as it will be soon become obsolete and replaced by 2.18 as LTR? genuinely asking.

#5 - 2017-03-07 05:35 AM - Bas Couwenberg

| still care about QGIS 2.14 since that will be included in Debian stretch.
#6 - 2017-03-07 05:38 AM - Giovanni Manghi

- Operating System set to Debian

- Status changed from Feedback to Open

#7 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#8 - 2018-11-07 09:20 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#9 - 2018-11-07 09:37 PM - Bas Couwenberg

Just close the issue, we did the same with the bugreport in Debian.

#10 - 2018-11-08 12:20 AM - Nyall Dawson
- Status changed from Feedback to Closed
- Description updated

- Resolution set to not reproducable

Files

gdb_qgis_2.14.3_grass.ixt 134 KB 2016-05-24 Bas Couwenberg

gdb_qgis_2.14.3_quickosm.txt 206 KB 2016-05-24 Bas Couwenberg
gdb_qgis_2.14.3_install-quickosm.ixt 32.8 KB 2016-05-24 Bas Couwenberg
